summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_fdroid_build_environment.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-25 15:49:08 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-25 15:49:08 +0100
commitee5eb8b8d28a5bf4d9b5f19374b33f6c046d9fa6 (patch)
tree48562e3ee11bef397a58c45795139682a02c1e5c /bin/reproducible_setup_fdroid_build_environment.sh
parentd792cf66219287d992a83c21cc8e3d23bd0cb75b (diff)
downloadjenkins.debian.net-ee5eb8b8d28a5bf4d9b5f19374b33f6c046d9fa6.tar.xz
reproducible fdroid: updated by Hans-Christoph Steiner
Diffstat (limited to 'bin/reproducible_setup_fdroid_build_environment.sh')
-rw-r--r--[-rwxr-xr-x]bin/reproducible_setup_fdroid_build_environment.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/reproducible_setup_fdroid_build_environment.sh b/bin/reproducible_setup_fdroid_build_environment.sh
index b2bcd3ad..59041453 100755..100644
--- a/bin/reproducible_setup_fdroid_build_environment.sh
+++ b/bin/reproducible_setup_fdroid_build_environment.sh
@@ -13,7 +13,19 @@ common_init "$@"
# common code
. /srv/jenkins/bin/reproducible_common.sh
+# make sure we have the vagrant box image cached
+test -e ~/.cache/fdroidserver || mkdir -p ~/.cache/fdroidserver
+cd ~/.cache/fdroidserver
+wget --continue https://f-droid.org/jessie32.box || true
+echo "ff6b0c0bebcb742783becbc51a9dfff5a2a0a839bfcbfd0288dcd3113f33e533 jessie32.box" > jessie32.box.sha256
+sha256sum -c jessie32.box.sha256
+
+# wipe the whole vagrant setup and start from scratch
+export VAGRANT_HOME=$WORKSPACE/vagrant.d
+rm -rf $VAGRANT_HOME
+
# do I really want to run this?
+cd $WORKSPACE
git clone https://gitlab.com/fdroid/fdroidserver.git
cd fdroidserver
./makebuildserver